<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Sphere Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#b33e56a0df43b2dfe3b72b59757e6f69">getCenter</a>(void) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#8c0a5dee80bf790cdc5bd2a68f73a4c7">getRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#26fc8402579d1256e222f34b6ac0ecf3">intersects</a>(const Sphere &amp;s) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#ce0763611fbf75e156d6e34d399d5468">intersects</a>(const AxisAlignedBox &amp;box) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#adca485853a6ae4535a3a9347ab6119b">intersects</a>(const Plane &amp;plane) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#a127d312d66a63b160825c4650c92e14">intersects</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#4a6065226f4fbd7bc5f3cbe0c385d9c7">mCenter</a></td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#912c305cf5821240fe88a3a7ef59e67b">mRadius</a></td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#f2cd29ca81e68cdeb65b91a2667d6fbc">setCenter</a>(const Vector3 &amp;center)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#afe80cad31edd668b09981a6f836c8b1">setRadius</a>(Real radius)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#93cb05f8025668db930ef81a34dca47b">Sphere</a>()</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Sphere.html#bd0dc8dd45b400a07d71115652d2dc20">Sphere</a>(const Vector3 &amp;center, Real radius)</td><td><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:02 2008
</p>
</body>
</html>
